#include <bits/stdc++.h>

using namespace std;

int main() {
    map<string, int> frekvencije;
    int n;
    cin >> n;
    
    for (int i = 0; i < n; i++) {
        string imena[3];
        cin >> imena[0];
        cin >> imena[1];
        cin >> imena[2];

        sort(imena, imena + 3);

        string grupa = imena[0] + ' ' + imena[1] + ' ' + imena[2];

        frekvencije[grupa]++;
    }
    int najcesca = 0;
    for (auto it : frekvencije) {
        if (it.second > najcesca) {
            najcesca = it.second;
        }
    }
    cout << najcesca << endl;
    return 0;
}